Gnome User Interface Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GnomeFontSelector

## Name

GnomeFontSelector -- Deprecated, use GtkFontSelection in a GnomeDialog or GnomeFontPicker

## Synopsis

    #include <gnome.h>

    struct      GnomeFontSelector;
    struct      FontInfo;
    GtkWidget*  gnome_font_selector_new         (void);
    gchar*      gnome_font_selector_get_selected
                                                (GnomeFontSelector *text_tool);
    gchar*      gnome_font_select               (void);
    gchar*      gnome_font_select_with_default  (const gchar*);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBin
                         +----GtkWindow
                               +----GtkDialog
                                     +----GnomeFontSelector

## Description

Deprecated, use GtkFontSelection in a GnomeDialog or GnomeFontPicker

## Details

### struct GnomeFontSelector

    struct GnomeFontSelector;

### struct FontInfo

    struct FontInfo;

### gnome_font_selector_new ()

    GtkWidget*  gnome_font_selector_new         (void);

Returns : | a newly created font selector widget

### gnome_font_selector_get_selected ()

    gchar*      gnome_font_selector_get_selected
                                                (GnomeFontSelector *text_tool);

`text_tool` : | a font selector
Returns : | the name of the font currently selected. The value returned is allocated with g_malloc. The font name is in the format expected by Gdk.

### gnome_font_select ()

    gchar*      gnome_font_select               (void);

Pops up a font selector and lets the user choose the font.

Returns : | A g_malloc()ed string with the X font name that was selected

### gnome_font_select_with_default ()

    gchar*      gnome_font_select_with_default  (const gchar*);

`Param1` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
GnomeFontPicker | GnomeHRef